> For the complete documentation index, see [llms.txt](https://docs.luciq.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.luciq.ai/references/in-app-replies/push-notifications/register-push-token.md).

# Register Push Token

API reference for registering push notification tokens with Luciq. Enable push notifications for in-app reply alerts in your mobile app.

In order to receive push notifications, registering your token is necessary. You can use this API to register this token.

{% tabs fullWidth="true" %}
{% tab title="iOS - Swift" %}

```swift
func application(_ application: UIApplication, didRegisterForRemoteNotificationsWithDeviceToken deviceToken: Data) {
    Replies.didRegisterForRemoteNotifications(withDeviceToken: deviceToken)
}
```

{% endtab %}

{% tab title="iOS - ObjC" %}

```objectivec
- (void)application:(UIApplication *)application didRegisterForRemoteNotificationsWithDeviceToken:(NSData *)deviceToken {
    [LCQReplies didRegisterForRemoteNotificationsWithDeviceToken:deviceToken];
}
```

{% endtab %}

{% tab title="And - Java" %}

```java
Replies.setPushNotificationRegistrationToken("PUSH_NOTIFICATION_TOKEN");
```

{% endtab %}

{% tab title="And - Kotlin" %}

```kotlin
Replies.setPushNotificationRegistrationToken("PUSH_NOTIFICATION_TOKEN")
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.luciq.ai/references/in-app-replies/push-notifications/register-push-token.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
